Replication archive for François Briatte, "Les réseaux de cosignatures législatives de quinze parlements européens", 2015.

Get the paper and its appendix at <http://f.briatte.org/research/ferney-paper.pdf>.

# DATA

The `data.csv` file contains information on the networks produced by the `parlnet` repository available at <https://github.com/briatte/parlnet>. 

Observations are cosponsorship networks from 19 parliamentary chambers in 15 countries over 96 legislatures. Variables are:

- `cty` -- country of origin
- `region` -- region of origin
- `type` -- chamber type (unicameral, lower, upper)
- `size` -- chamber size (source: IPU-PARLINE)
- `id` -- legislature identifier
- `years` -- legislature years
- `mod_gsw` -- weighted partisan modularity score
- `mod_raw` -- unweighted partisan modularity score
- `n_parties` -- number of political groups in chamber
- `n_comm` -- number of parliamentary committees in chamber
- `m_comm` -- average parliamentary committee size in chamber
- `bills` -- number of cosponsored bills in the legislature
- `sum` -- total number of bills in the legislature
- `nodes` -- number of nodes in the legislature
- `density` -- network density
- `mu_lr` -- average Left/Right party score (source: ParlGov)
- `sd_lr` -- standard deviation of Left/Right party scores
- `p_females` -- percentage of female parliamentarians
- `p_freshmen` -- percentage of freshmen parliamentarians
- `p_indepdt` -- percentage of independent parliamentarians
- `duration` -- duration of legislature, in years

See the paper for construction details.

# HOWTO

Run `code.r` in R after setting your working directory to `ferney-replication`. The code requires the packages `arm`, `ggplot2` and `texreg`.

The script was successfully run in the following session:

	> sessionInfo()
	R version 3.1.2 (2014-10-31)
	Platform: x86_64-apple-darwin13.4.0 (64-bit)

	locale:
	[1] en_US.UTF-8/en_US.UTF-8/en_US.UTF-8/C/en_US.UTF-8/en_US.UTF-8

	attached base packages:
	[1] stats     graphics  grDevices utils     datasets  methods   base     

	other attached packages:
	[1] texreg_1.34   arm_1.7-07    lme4_1.1-7    Rcpp_0.11.4   Matrix_1.1-5 
	[6] MASS_7.3-37   ggplot2_1.0.0

	loaded via a namespace (and not attached):
	 [1] abind_1.4-0      coda_0.16-1      colorspace_1.2-4 digest_0.6.8    
	 [5] grid_3.1.2       gtable_0.1.2     lattice_0.20-29  minqa_1.2.4     
	 [9] munsell_0.4.2    nlme_3.1-119     nloptr_1.0.4     plyr_1.8.1      
	[13] proto_0.3-10     reshape2_1.4.1   scales_0.2.4     splines_3.1.2   
	[17] stringr_0.6.2  

